SpeciesService (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.server.service

## Class SpeciesService

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.server.service.SpeciesService

-     public class SpeciesService
      extends Object

  Author:
    "Federico De Faveri defaveri@isti.cnr.it"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.gcube.data.spd.client.proxies.Manager` | `call`
    `protected org.gcube.data.spd.client.proxies.Classification` | `classificationCall`
    `protected org.gcube.data.spd.client.proxies.Executor` | `executorCall`
    `protected String` | `lastQuery`
    `protected org.apache.log4j.Logger` | `logger`
    `protected org.gcube.data.spd.client.proxies.Occurrence` | `occurrencesCall`
    `protected org.gcube.common.core.scope.GCUBEScope` | `scope`
    `protected org.gcube.application.framework.core.session.ASLSession` | `session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpeciesService(org.gcube.common.core.scope.GCUBEScope scope)`
    `SpeciesService(org.gcube.common.core.scope.GCUBEScope scope, org.gcube.application.framework.core.session.ASLSession session)`
    `SpeciesService(org.gcube.common.core.scope.GCUBEScope scope, boolean instanceOnlyOccurrence)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancelOccurrenceJobById(String jobIdentifier)`
    `void` | `cancelTaxonomyJobById(String jobIdentifier)`
    `protected org.gcube.data.spd.model.Coordinate` | `convertCoordinate(Coordinate coordinate)`
    `String` | `createOccurrenceCSVJob(org.gcube.data.streams.Stream<String> streamKey)`
    `String` | `createOccurrenceCSVOpenModellerJob(org.gcube.data.streams.Stream<String> streamKey)`
    `String` | `createOccurrenceDARWINCOREJob(org.gcube.data.streams.Stream<String> streamKey)`
    `String` | `createTaxonomyJobForDWCAByChildren(String taxonomyId)`
    `String` | `createTaxonomyJobForDWCAByIds(List<String> ids)`
    `String` | `generateMapFromOccurrencePoints(IteratorPointInfo streamKey)`
    `String` | `getLastQuery()`
    `org.gcube.data.spd.stubs.types.Status` | `getOccurrenceJobById(String jobId)`
    `InputStream` | `getOccurrenceJobErrorFileById(String jobIdentifier)`
    `InputStream` | `getOccurrenceJobFileById(String jobIdentifier)`
    `CloseableIterator<org.gcube.data.spd.model.products.OccurrencePoint>` | `getOccurrencesByIds(List<String> ids)`
    `CloseableIterator<org.gcube.data.spd.model.products.OccurrencePoint>` | `getOccurrencesByKeys(List<String> keys)`
    `List<DataSourceModel>` | `getPlugins()`
    `StreamIterator<org.gcube.data.spd.model.products.TaxonomyItem>` | `getTaxonChildrenByParentId(String parentId)`
    `org.gcube.data.spd.stubs.types.Status` | `getTaxonomyJobById(String jobId)`
    `InputStream` | `getTaxonomyJobErrorFileById(String jobIdentifier)`
    `InputStream` | `getTaxonomyJobFileById(String jobIdentifier)`
    `boolean` | `isAvailableOccurrenceJobErrorFileById(String jobIdentifier)`
    `boolean` | `isAvailableTaxonomyJobErrorFileById(String jobIdentifier)`
    `CloseableIterator<org.gcube.data.spd.model.products.TaxonomyItem>` | `retrieveSynonymsById(String id)`
    `CloseableIterator<org.gcube.data.spd.model.products.TaxonomyItem>` | `retrieveTaxonomyById(org.gcube.data.streams.Stream<String> streamIds)`
    `CloseableIterator<org.gcube.data.spd.model.products.ResultElement>` | `searchByFilters(String searchTerm, SearchType searchType, SearchFilters searchFilters)`
    `CloseableIterator<org.gcube.data.spd.model.products.ResultElement>` | `searchByQuery(String query)`
    `org.gcube.data.streams.Stream<org.gcube.data.spd.model.products.ResultElement>` | `searchByQuery2(String query)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected org.apache.log4j.Logger logger

    - #### scope

          protected org.gcube.common.core.scope.GCUBEScope scope

    - #### session

          protected org.gcube.application.framework.core.session.ASLSession session

    - #### call

          protected org.gcube.data.spd.client.proxies.Manager call

    - #### occurrencesCall

          protected org.gcube.data.spd.client.proxies.Occurrence occurrencesCall

    - #### classificationCall

          protected org.gcube.data.spd.client.proxies.Classification classificationCall

    - #### executorCall

          protected org.gcube.data.spd.client.proxies.Executor executorCall

    - #### lastQuery

          protected String lastQuery

  - ### Constructor Detail

    - #### SpeciesService

          public SpeciesService(org.gcube.common.core.scope.GCUBEScope scope,
                        org.gcube.application.framework.core.session.ASLSession session)
                         throws Exception

      Throws:
        `Exception`

    - #### SpeciesService

          public SpeciesService(org.gcube.common.core.scope.GCUBEScope scope)
                         throws Exception

      Throws:
        `Exception`

    - #### SpeciesService

          public SpeciesService(org.gcube.common.core.scope.GCUBEScope scope,
                        boolean instanceOnlyOccurrence)
                         throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### searchByFilters

          public CloseableIterator<org.gcube.data.spd.model.products.ResultElement> searchByFilters(String searchTerm,
                                                                                           SearchType searchType,
                                                                                           SearchFilters searchFilters)
                                                                                             throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### retrieveTaxonomyById

          public CloseableIterator<org.gcube.data.spd.model.products.TaxonomyItem> retrieveTaxonomyById(org.gcube.data.streams.Stream<String> streamIds)
                                                                                                 throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### retrieveSynonymsById

          public CloseableIterator<org.gcube.data.spd.model.products.TaxonomyItem> retrieveSynonymsById(String id)
                                                                                                 throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### searchByQuery

          public CloseableIterator<org.gcube.data.spd.model.products.ResultElement> searchByQuery(String query)
                                                                                           throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### searchByQuery2

          public org.gcube.data.streams.Stream<org.gcube.data.spd.model.products.ResultElement> searchByQuery2(String query)
                                                                                                        throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### getPlugins

          public List<DataSourceModel> getPlugins()
                                           throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### convertCoordinate

          protected org.gcube.data.spd.model.Coordinate convertCoordinate(Coordinate coordinate)

    - #### getOccurrencesByKeys

          public CloseableIterator<org.gcube.data.spd.model.products.OccurrencePoint> getOccurrencesByKeys(List<String> keys)
                                                                                                    throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### getOccurrencesByIds

          public CloseableIterator<org.gcube.data.spd.model.products.OccurrencePoint> getOccurrencesByIds(List<String> ids)
                                                                                                   throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### generateMapFromOccurrencePoints

          public String generateMapFromOccurrencePoints(IteratorPointInfo streamKey)
                                                 throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### getTaxonChildrenByParentId

          public StreamIterator<org.gcube.data.spd.model.products.TaxonomyItem> getTaxonChildrenByParentId(String parentId)
                                                                                                    throws Exception

      Throws:
        `Exception`

    - #### getTaxonomyJobById

          public org.gcube.data.spd.stubs.types.Status getTaxonomyJobById(String jobId)

    - #### getTaxonomyJobFileById

          public InputStream getTaxonomyJobFileById(String jobIdentifier)
                                             throws Exception

      Throws:
        `Exception`

    - #### getTaxonomyJobErrorFileById

          public InputStream getTaxonomyJobErrorFileById(String jobIdentifier)
                                                  throws Exception

      Throws:
        `Exception`

    - #### isAvailableTaxonomyJobErrorFileById

          public boolean isAvailableTaxonomyJobErrorFileById(String jobIdentifier)
                                                      throws Exception

      Throws:
        `Exception`

    - #### createTaxonomyJobForDWCAByChildren

          public String createTaxonomyJobForDWCAByChildren(String taxonomyId)
                                                    throws Exception

      Throws:
        `Exception`

    - #### createTaxonomyJobForDWCAByIds

          public String createTaxonomyJobForDWCAByIds(List<String> ids)
                                               throws Exception

      Throws:
        `Exception`

    - #### cancelTaxonomyJobById

          public void cancelTaxonomyJobById(String jobIdentifier)

    - #### getOccurrenceJobById

          public org.gcube.data.spd.stubs.types.Status getOccurrenceJobById(String jobId)

    - #### createOccurrenceCSVJob

          public String createOccurrenceCSVJob(org.gcube.data.streams.Stream<String> streamKey)
                                        throws Exception

      Throws:
        `Exception`

    - #### createOccurrenceDARWINCOREJob

          public String createOccurrenceDARWINCOREJob(org.gcube.data.streams.Stream<String> streamKey)
                                               throws Exception

      Throws:
        `Exception`

    - #### createOccurrenceCSVOpenModellerJob

          public String createOccurrenceCSVOpenModellerJob(org.gcube.data.streams.Stream<String> streamKey)
                                                    throws Exception

      Throws:
        `Exception`

    - #### cancelOccurrenceJobById

          public void cancelOccurrenceJobById(String jobIdentifier)

    - #### getOccurrenceJobFileById

          public InputStream getOccurrenceJobFileById(String jobIdentifier)
                                               throws Exception

      Throws:
        `Exception`

    - #### getOccurrenceJobErrorFileById

          public InputStream getOccurrenceJobErrorFileById(String jobIdentifier)
                                                    throws Exception

      Throws:
        `Exception`

    - #### isAvailableOccurrenceJobErrorFileById

          public boolean isAvailableOccurrenceJobErrorFileById(String jobIdentifier)
                                                        throws Exception

      Throws:
        `Exception`

    - #### getLastQuery

          public String getLastQuery()

Copyright © 2013. All Rights Reserved.